path: /build/build/gssdp-net-libs-1.2-1.2.3+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="gtk introspection vala" emerge net-libs/gssdp:1.2 -pv -t && \
    USE="gtk introspection vala" emerge -j ${JOBS} --nodeps net-libs/gssdp:1.2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gssdp && luet-portage --dir /pkgdir/gssdp
    net-libs/gssdp:1.2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: gssdp
    version: 1.2.3+2
    category: net-libs-1.2
    use_flags:
    - gtk
    - introspection
    - vala
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A GObject-based API for handling resource discovery and announcement
      over SSDP
    uri:
    - https://wiki.gnome.org/Projects/GUPnP
    license: LGPL-2
    buildtimestamp: 2023-09-14 14:40:37.852156138 +0000 UTC m=+148.765817834
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2 >=net-libs/libsoup-2.44.2:2.4[introspection?]
        gtk? ( >=x11-libs/gtk+-3.24.12:3 ) introspection? ( || ( dev-lang/vala:0.50[vapigen(+)]
        dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
        dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
        ) >=dev-libs/gobject-introspection-1.62.0:= ) !<net-libs/gupnp-vala-0.10.3
        >=dev-util/gtk-doc-am-1.14 sys-devel/gettext >=virtual/pkgconfig-0-r1 >=app-portage/elt-patches-20170815
        app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2'
      IUSE: doc examples +introspection gtk vala
      RDEPEND: '>=dev-libs/glib-2.62.2:2 >=net-libs/libsoup-2.44.2:2.4[introspection?]
        gtk? ( >=x11-libs/gtk+-3.24.12:3 ) introspection? ( || ( dev-lang/vala:0.50[vapigen(+)]
        dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
        dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
        ) >=dev-libs/gobject-introspection-1.62.0:= ) !<net-libs/gupnp-vala-0.10.3'
      emerge.packages: net-libs/gssdp:1.2
      kit: gnome-kit
      original.package.name: net-libs/gssdp
      original.package.slot: "1.2"
      original.package.version: 1.2.3
    treedir: /build/packages
  package_dir: /pkgdir/gssdp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5229cea1c318caa368f3575c06490bfe1a8048a38b1721b0be9d48d1e196fe18
compressiontype: zstd
files:
- usr/bin/gssdp-device-sniffer-1.2
- usr/include/gssdp-1.2/libgssdp/gssdp-client.h
- usr/include/gssdp-1.2/libgssdp/gssdp-enums.h
- usr/include/gssdp-1.2/libgssdp/gssdp-error.h
- usr/include/gssdp-1.2/libgssdp/gssdp-resource-browser.h
- usr/include/gssdp-1.2/libgssdp/gssdp-resource-group.h
- usr/include/gssdp-1.2/libgssdp/gssdp.h
- usr/lib64/girepository-1.0/GSSDP-1.2.typelib
- usr/lib64/libgssdp-1.2.so
- usr/lib64/libgssdp-1.2.so.0
- usr/lib64/libgssdp-1.2.so.0.0.0
- usr/lib64/pkgconfig/gssdp-1.2.pc
- usr/share/doc/gssdp-1.2.3/AUTHORS
- usr/share/doc/gssdp-1.2.3/NEWS.bz2
- usr/share/doc/gssdp-1.2.3/README
- usr/share/gir-1.0/GSSDP-1.2.gir
- usr/share/vala/vapi/gssdp-1.2.deps
- usr/share/vala/vapi/gssdp-1.2.vapi
- var/db/pkg/net-libs/gssdp-1.2.3/BUILD_TIME
- var/db/pkg/net-libs/gssdp-1.2.3/CATEGORY
- var/db/pkg/net-libs/gssdp-1.2.3/CBUILD
- var/db/pkg/net-libs/gssdp-1.2.3/CFLAGS
- var/db/pkg/net-libs/gssdp-1.2.3/CHOST
- var/db/pkg/net-libs/gssdp-1.2.3/CONTENTS
- var/db/pkg/net-libs/gssdp-1.2.3/COUNTER
- var/db/pkg/net-libs/gssdp-1.2.3/CXXFLAGS
- var/db/pkg/net-libs/gssdp-1.2.3/DEFINED_PHASES
- var/db/pkg/net-libs/gssdp-1.2.3/DEPEND
- var/db/pkg/net-libs/gssdp-1.2.3/DESCRIPTION
- var/db/pkg/net-libs/gssdp-1.2.3/EAPI
- var/db/pkg/net-libs/gssdp-1.2.3/FEATURES
- var/db/pkg/net-libs/gssdp-1.2.3/HOMEPAGE
- var/db/pkg/net-libs/gssdp-1.2.3/INHERITED
- var/db/pkg/net-libs/gssdp-1.2.3/IUSE
- var/db/pkg/net-libs/gssdp-1.2.3/IUSE_EFFECTIVE
- var/db/pkg/net-libs/gssdp-1.2.3/KEYWORDS
- var/db/pkg/net-libs/gssdp-1.2.3/LDFLAGS
- var/db/pkg/net-libs/gssdp-1.2.3/LICENSE
- var/db/pkg/net-libs/gssdp-1.2.3/NEEDED
- var/db/pkg/net-libs/gssdp-1.2.3/PF
- var/db/pkg/net-libs/gssdp-1.2.3/PROVIDES
- var/db/pkg/net-libs/gssdp-1.2.3/RDEPEND
- var/db/pkg/net-libs/gssdp-1.2.3/REQUIRES
- var/db/pkg/net-libs/gssdp-1.2.3/SIZE
- var/db/pkg/net-libs/gssdp-1.2.3/SLOT
- var/db/pkg/net-libs/gssdp-1.2.3/USE
- var/db/pkg/net-libs/gssdp-1.2.3/environment.bz2
- var/db/pkg/net-libs/gssdp-1.2.3/gssdp-1.2.3.ebuild
- var/db/pkg/net-libs/gssdp-1.2.3/repository
package_cacheimage: ""
runtime:
  name: gssdp
  version: 1.2.3+2
  category: net-libs-1.2
  use_flags:
  - gtk
  - introspection
  - vala
  requires:
  - name: libsoup
    version: '>=0'
    category: net-libs-2.4
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A GObject-based API for handling resource discovery and announcement
    over SSDP
  uri:
  - https://wiki.gnome.org/Projects/GUPnP
  license: LGPL-2
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2 >=net-libs/libsoup-2.44.2:2.4[introspection?]
      gtk? ( >=x11-libs/gtk+-3.24.12:3 ) introspection? ( || ( dev-lang/vala:0.50[vapigen(+)]
      dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
      dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
      ) >=dev-libs/gobject-introspection-1.62.0:= ) !<net-libs/gupnp-vala-0.10.3 >=dev-util/gtk-doc-am-1.14
      sys-devel/gettext >=virtual/pkgconfig-0-r1 >=app-portage/elt-patches-20170815
      app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2'
    IUSE: doc examples +introspection gtk vala
    RDEPEND: '>=dev-libs/glib-2.62.2:2 >=net-libs/libsoup-2.44.2:2.4[introspection?]
      gtk? ( >=x11-libs/gtk+-3.24.12:3 ) introspection? ( || ( dev-lang/vala:0.50[vapigen(+)]
      dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
      dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
      ) >=dev-libs/gobject-introspection-1.62.0:= ) !<net-libs/gupnp-vala-0.10.3'
    emerge.packages: net-libs/gssdp:1.2
    kit: gnome-kit
    original.package.name: net-libs/gssdp
    original.package.slot: "1.2"
    original.package.version: 1.2.3
